Skip to navigation

Update Unit

Update Unit.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
ID of the Unit.

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Alternative abbreviations for this unit, e.g. alternate symbols.
archiveReasonstringOptional
archivedbooleanOptional
namestringOptional

The long-form name, e.g. “milliliter”.

symbolstringOptional

The short-form label, e.g. “mL”.

Response

OK
__typenamestringOptional
aliaseslist of stringsOptional

Any additional short-form labels that should be recognized in input

archiveReasonstring or nullOptional
archivedbooleanOptional
conversionFactorstringOptional
Conversion factor relative to the UnitType's baseUnit. E.g. for a kilometer, the baseUnit is meter and the conversionFactor is 1000.
createdAtstring or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestringOptional

Default long-form identifier, e.g. “meter”.

symbolstringOptional

Default short-form label, e.g. “m” for meter.

unitTypeobjectOptional

The unit type this unit belongs to. Units within the same UnitType are inter-convertible.

Errors

400
Unit Update Request Bad Request Error
403
Unit Update Request Forbidden Error
404
Unit Update Request Not Found Error
409
Unit Update Request Conflict Error
429
Unit Update Request Too Many Requests Error
500
Unit Update Request Internal Server Error